@echo off
echo Verfuegbare .NET-Framework-Versionen:
echo.
cd /d %~dp0
regedit.exe /e "%~dp0dotnetfx.txt" "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP"
type dotnetfx.txt | findstr "NDP\\v[^\\]*]$" > dotnetfx2.txt
for /f "tokens=6 delims=\]" %%a in (dotnetfx2.txt) do echo %%a
echo. 
pause
del dotnetfx.txt
del dotnetfx2.txt